vim.cmd("set number")
vim.cmd("set expandtab")
vim.cmd("set tabstop=2")
vim.cmd("set scrolloff=4")
vim.cmd("set softtabstop=2")
vim.cmd("set shiftwidth=2")
vim.cmd("set title")

vim.keymap.set("n", "T", function() vim.lsp.buf.definition() end, {})
vim.keymap.set("n", "K", function() vim.lsp.buf.hover() end, {})
vim.keymap.set("n", "J", function() vim.lsp.buf.type_definition() end, {})
vim.keymap.set("n", "C", function() vim.lsp.buf.code_action() end, {})


local prettier = function()
  local clients = vim.lsp.get_active_clients()
  for _, client in pairs(clients) do
    if (client.name == "svelte") then
      local path = vim.api.nvim_buf_get_name(0):gsub("%(", "\\("):gsub("%)", "\\)")
      local command = "npx prettier --write " .. path
      vim.system(vim.split(command, " ")):wait()
      vim.cmd("e")
    end
    if (client.name == "texlab") then
      local path = vim.api.nvim_buf_get_name(0):gsub("%(", "\\("):gsub("%)", "\\)")
      local command = "pdflatex " .. path
      vim.system(vim.split(command, " ")):wait()
      print("Done")
    end
  end
end

vim.keymap.set("n", "<C-T>", function() prettier() end, {})
